Up

# NSCursor

### Authors

Scott Christley (`scottc@net-community.com`)
Adam Fedor (`fedor@gnu.org`)

> Holds an image to use as a cursor

Copyright: (C) 1996,1999,2001 Free Software Foundation, Inc.

# Software documentation for the NSCursor class

## NSCursor : NSObject

> Declared in:
>   AppKit/NSCursor.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +IBeamCursor
- +arrowCursor
- +closedHandCursor
- +crosshairCursor
- +currentCursor
- +disappearingItemCursor
- +greenArrowCursor
- +hide
- +isHiddenUntilMouseMoves
- +openHandCursor
- +pointingHandCursor
- +pop
- +resizeDownCursor
- +resizeLeftCursor
- +resizeLeftRightCursor
- +resizeRightCursor
- +resizeUpCursor
- +resizeUpDownCursor
- +setHiddenUntilMouseMoves:
- +unhide
- -hotSpot
- -image
- -initWithImage:
- -initWithImage:foregroundColorHint:backgroundColorHint:hotSpot:
- -initWithImage:hotSpot:
- -isSetOnMouseEntered
- -isSetOnMouseExited
- -mouseEntered:
- -mouseExited:
- -pop
- -push
- -set
- -setHotSpot:
- -setImage:
- -setOnMouseEntered:
- -setOnMouseExited:

### IBeamCursor

+ (NSCursor*) IBeamCursor;
Availability: OpenStep

Returns an I-beam cursor.

### arrowCursor

+ (NSCursor*) arrowCursor;
Availability: OpenStep

Returns an arrow cursor.

### closedHandCursor

+ (NSCursor*) closedHandCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### crosshairCursor

+ (NSCursor*) crosshairCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### currentCursor

+ (NSCursor*) currentCursor;
Availability: OpenStep

Returns the current cursor.

### disappearingItemCursor

+ (NSCursor*) disappearingItemCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### greenArrowCursor

+ (NSCursor*) greenArrowCursor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### hide

+ (void) hide;
Availability: OpenStep

Hides the current cursor.

### isHiddenUntilMouseMoves

+ (BOOL) isHiddenUntilMouseMoves;
Availability: OpenStep

Returns whther the cursor is hidden until mouse moves

### openHandCursor

+ (NSCursor*) openHandCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### pointingHandCursor

+ (NSCursor*) pointingHandCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### pop

+ (void) pop;
Availability: OpenStep

Pops the cursor off the top of the stack and makes the previous one as the current cursor.

### resizeDownCursor

+ (NSCursor*) resizeDownCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### resizeLeftCursor

+ (NSCursor*) resizeLeftCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### resizeLeftRightCursor

+ (NSCursor*) resizeLeftRightCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### resizeRightCursor

+ (NSCursor*) resizeRightCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### resizeUpCursor

+ (NSCursor*) resizeUpCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### resizeUpDownCursor

+ (NSCursor*) resizeUpDownCursor;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setHiddenUntilMouseMoves:

+ (void) setHiddenUntilMouseMoves: (BOOL)flag;
Availability: OpenStep

Hides the cursor if flag is `YES`. Unhides it if `NO`

### unhide

+ (void) unhide;
Availability: OpenStep

Shows the NSCursor.

See Also: +hide

### hotSpot

- (NSPoint) hotSpot;
Availability: OpenStep

Returns the hot spot point of the NSCursor. This is in the cursor's coordinate system which is a flipped on (origin at the top left of the cursor).

### image

- (NSImage*) image;
Availability: OpenStep

Returns the image of the NSCursor

### initWithImage:

- (id) initWithImage: (NSImage*)newImage;
Availability: OpenStep

Initializes and returns a new NSCursor with a NSImage newImage and a hot spot point with x=0 and y=0 (top left corner).

See Also: -initWithImage:hotSpot:

### initWithImage: foregroundColorHint: backgroundColorHint: hotSpot:

- (id) initWithImage: (NSImage*)newImage foregroundColorHint: (NSColor*)fg backgroundColorHint: (NSColor*)bg hotSpot: (NSPoint)hotSpot;
Availability: MacOS-X 10.0.0
Description forthcoming.

### initWithImage: hotSpot:

- (id) initWithImage: (NSImage*)newImage hotSpot: (NSPoint)hotSpot;
Availability: OpenStep

Initializes and returns a new NSCursor with a NSImage newImage and the hot spot to hotSpot.

NB. The coordinate system of an NSCursor is flipped, so a hotSpot at 0,0 is in the top left corner of the cursor.

See Also: -initWithImage: -setImage:

### isSetOnMouseEntered

- (BOOL) isSetOnMouseEntered;
Availability: OpenStep

Returns whether if the cursor is set on -mouseEntered: .

See Also: -setOnMouseEntered: -mouseEntered: -set -isSetOnMouseExited

### isSetOnMouseExited

- (BOOL) isSetOnMouseExited;
Availability: OpenStep

Returns whether if the cursor is push on -mouseExited: .

See Also: -setOnMouseEntered: -mouseExited: -set -isSetOnMouseEntered

### mouseEntered:

- (void) mouseEntered: (NSEvent*)theEvent;
Availability: OpenStep

Sets the cursor if -isSetOnMouseEntered is `YES` or pushs the cursor if -isSetOnMouseExited is `NO`

See Also: -isSetOnMouseEntered -isSetOnMouseExited

### mouseExited:

- (void) mouseExited: (NSEvent*)theEvent;
Availability: OpenStep

Sets the cursor if -isSetOnMouseExited is `YES` or pops the cursor if -isSetOnMouseEntered is `NO`

See Also: -isSetOnMouseExited -isSetOnMouseEntered

### pop

- (void) pop;
Availability: OpenStep

Pops the cursor off the top of the stack and makes the previous the current cursor.

### push

- (void) push;
Availability: OpenStep

Adds the NSCursor into the cursor stack and makes it the current cursor.

See Also: -pop -set

### set

- (void) set;
Availability: OpenStep

Sets the NSCursor as the current cursor.

### setHotSpot:

- (void) setHotSpot: (NSPoint)spot;
Availability: Not in OpenStep/MacOS-X

Sets the hot spot point of the NSCursor to spot

### setImage:

- (void) setImage: (NSImage*)newImage;
Availability: Not in OpenStep/MacOS-X

Sets newImage the image of the NSCursor

### setOnMouseEntered:

- (void) setOnMouseEntered: (BOOL)flag;
Availability: OpenStep

Sets whether if the cursor is set on -mouseEntered: .

See Also: -isSetOnMouseEntered -mouseEntered: -set

### setOnMouseExited:

- (void) setOnMouseExited: (BOOL)flag;
Availability: OpenStep

Sets whether if the cursor is push on -mouseExited: .

See Also: -isSetOnMouseExited -mouseExited: -set

## Instance Variables for NSCursor Class

### _cid

@protected void* _cid;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _cursor_image

@protected NSImage* _cursor_image;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hot_spot

@protected NSPoint _hot_spot;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _is_set_on_mouse_entered

@protected BOOL _is_set_on_mouse_entered;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _is_set_on_mouse_exited

@protected BOOL _is_set_on_mouse_exited;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up